Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
projectName | Project name in Xcode |  | null
responseAs | Optionally use libraries to manage response. Currently PromiseKit, RxSwift, Result, Combine are available. |  | null
nonPublicApi | Generates code with reduced access modifiers; allows embedding elsewhere without exposing non-public API calls to consumers.(default: false) |  | null
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | null
objcCompatible | Add additional properties and methods for Objective-C compatibility (default: false) |  | null
podSource | Source information used for Podspec |  | null
podVersion | Version used for Podspec |  | null
podAuthors | Authors used for Podspec |  | null
podSocialMediaURL | Social Media URL used for Podspec |  | null
podLicense | License used for Podspec |  | null
podHomepage | Homepage used for Podspec |  | null
podSummary | Summary used for Podspec |  | null
podDescription | Description used for Podspec |  | null
podScreenshots | Screenshots used for Podspec |  | null
podDocumentationURL | Documentation URL used for Podspec |  | null
swiftUseApiNamespace | Flag to make all the API classes inner-class of {{projectName}}API |  | null
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true
lenientTypeCast | Accept and cast values for simple types (string->bool, string->int, int->string) |  | false
library | Library template (sub-template) to use | urlsession [DEFAULT] HTTP client: URLSession alamofire HTTP client: Alamofire | urlsession

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- Character
- Data
- String
- Double
- Any
- Int
- URL
- Date
- Float
- AnyObject
- Decimal
- Int64
- Bool
- Int32
- Void
- UUID

##
RESERVED WORDS

- struct
- #elseif
- #file
- #imageLiteral
- prefix
- convenience
- none
- String
- Int16
- required
- nil
- CountableRange
- Float32
- Bool
- else
- let
- catch
- mutating
- if
- case
- init
- in
- var
- is
- optional
- infix
- FUNCTION
- enum
- Float
- as
- Decodable
- left
- extension
- internal
- Set
- lazy
- guard
- associatedtype
- #available
- Self
- nonmutating
- URL
- weak
- #function
- default
- Int32
- get
- where
- typealias
- override
- Protocol
- FILE
- _
- #selector
- set
- break
- willSet
- right
- Int8
- ErrorResponse
- Type
- AnyObject
- Float64
- deinit
- throw
- self
- UInt
- UInt32
- open
- return
- #if
- #column
- COLUMN
- #line
- #endif
- do
- while
- dynamicType
- operator
- precedence
- StaticString
- protocol
- CountableClosedRange
- continue
- dynamic
- associativity
- Void
- Unicode
- static
- #colorLiteral
- subscript
- indirect
- Optional
- Character
- throws
- Range
- Double
- fileprivate
- true
- final
- try
- Class
- UInt16
- rethrows
- Float80
- Encodable
- #else
- Dictionary
- private
- defer
- import
- ClosedRange
- #fileLiteral
- for
- Any
- Int
- UInt8
- switch
- public
- repeat
- LINE
- #sourceLocation
- postfix
- UInt64
- class
- false
- Codable
- Error
- Data
- unowned
- Response
- super
- Array
- inout
- func
- Int64
- didSet
- fallthrough
- OptionSet

Last updated on 1/9/2020